Skip to Content
Cloud One
  • Products

    Business Communication Suite & Phone System


      By Edition

      ​Cloud

      Software

      Appliance

    By Deployment

    ​On-premise

    Hosted by Cloud One

    Self-hosted

    By Management

    ​Managed By Cloud One

    Semi-Managed by Cloud One

    Self-Managed


    Simu Connect UC Clients


    Simu Connect Web Client Simu Connect Mobile Client Simu Connect Desktop ClientSimu Connect Chrome ExtensionSimu Connect TAPI Integration

    SIP Trunks


    Business SIPPay As You Go SIP Country Presence SIPVirtual Phone NumbersGolden Phone NumbersToll Free NumbersBring Your Own Carrier (BYOC)Calling RatesTalktime Top-up

    Get a Proof of Concept Now!


    Simu Connect POC Application Managed Business Communication Suite Self Managed Business Communication SuiteSIP Trunk POCOdoo Phone POC
  • Solutions

    Business Needs


    Work from Anywhere Hosted UCaaS Self hosted UCaaSVideo ConferencingAppliance PBXAI-powered Cloud PBXWhite-label Solution

    Industry


    Call Center Healthcare HospitalityFinanceEducationLogisticsRetail BusinessGovernment Agency

    Ecosystem


    IP Phones SIP Trunks IntegrationHeadsetsVirtual Phone Numbers

    By Integration


    Odoo Phone System Zoho Phone System Salesforce Phone SystemMicrosoft Dynamics Phone SystemZendesk Phone SystemFreshdesk Phone SystemBitrix24 Phone SystemHubSpot Phone System
  • Resources

    Downloads

    Download user guides and more documents

    Book a Meeting

    Schedule a meeting at your convenience

    Developer Guide

    Read API Documentation for Cloud One BCS API

    Business Communication Suite

    Experience our user-friendly business communication suite today. Explore robust telephony features that enhance your client connections efficiently.  

    See More Details
  • Devices

    Yealink IP Phones


    Yealink T3 Series IP Phones Yealink T4 Series IP Phones Yealink T5 Series IP PhonesYealink T7 Series IP PhonesYealink T8 Series IP Phones Yealink DECT IP Phones

    Voice Conferencing Solutions


    VC Room Systems BYOD Solutions Video Phone Video Conferencing Accessories

    Microsoft Solutions


    MS Teams Rooms Systems Microsoft Phones Conference Phones HeadsetsYealink MeetingBoardYealink MeetingBoard Pro

    Zoom Rooms


    Zoom Rooms Systems Zoom Phones Zoom Cameras BYOD Solutions
  • Help

    Ticketing System


    Submit a Helpdesk TicketReport an Issue

    Training


    User TrainingOperator TrainingCall Center Agent TrainingSupervisor Training

    Frequently Asked Questions


    General FAQBCS FAQSIP Trunks FAQLocal Phone Numbers FAQ

    Contact Us


    WhatsApp Icon


  • Support Helpdesk Contact
  • +254 20 790 0100
  • support@cloudone.co

  • Accounts Helpdesk Contact
  • +254 20 790 0000
  • finance@cloudone.co
  • Visit our Office


    Cloud One Ltd

    Saachi Plaza - Unit A3, Argwings Kodhek Road, Nairobi, Kenya
    P.O.Box 76484-00508 Yaya Centre

    +254 20 790 0000

    hello@cloudone.co


    Kindly do not email multiple contacts as it creates multiple tickets on our CRM


  • Contact Us
  • Blog
    ​​
  • Sign in
  • 0
  • 0
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
Cloud One
  • 0
  • 0
    • Products
    • Solutions
    • Resources
    • Devices
    • Help
    • Contact Us
    • Blog
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
  • Sign in
  • ​​

Search Specific Organizations

Search specific organization(s) from the organization list.

Request URL

GET {base_url}/{api_path}/organization/search?access_token={access_token}

Request parameters

ParameterRequiredTypeDescription
pageNoStringDefine which page is displayed.
page_sizeNoStringDefine how many records per page.
sort_byNoStringDefine the sorting field.

Valid value: id.

order_byNoStringDefine the display order.

Valid value:

  • asc: Ascending order.
  • desc: Descending order.
is_allNoIntegerWhether to return the complete information.

Valid value:

  • 0: Return the organization information, including the statistics of extensions.
  • 1: Return the complete organization information, including the statistics and list of extensions.
  • 2: Return the organization information only.
search_valueNoStringSearch keyword.

Response parameters

ParameterTypeDescription
errcodeIntegerReturned error code.
  • 0: Succeed.
  • Non-zero value: Failed.
Note: You can check the error code and error message in Error Code and Error Message.
errmsgStringReturned message.
  • SUCCESS: Succeed.
  • FAILURE: Failed.
organization_listArray<Organization_List>The information of the organization.

Organization_List

ParameterTypeDescription
idIntegerOrganization ID.
nameStringOrganization name.
parent_idStringParent organization ID.
orderStringThe sequence number of the organization.
ext_numberStringThe total number of extensions that are included in the organization.
Note: This parameter is only returned when the value of is_all is 0 or 1.
childrenArray<Sub_Organization>The information of the sub-organization.
ext_listArray<Integer>The ID list of the extensions that are included in the organization.
Note: This parameter is only returned when the value of is_all is 1.

Sub_Organization

ParameterTypeDescription
idIntegerOrganization ID.
nameStringOrganization name.
parent_idStringParent organization ID.
orderStringThe sequence number of the organization.
ext_numberStringThe total number of extensions that are included in the organization.
Note: This parameter is only returned when the value of is_all is 0 or 1.
childrenArray<Sub_Organization>The information of the sub-organization.
ext_listArray<Integer>The ID list of the extensions that are included in the organization.
Note: This parameter is only returned when the value of is_all is 1.

Examples

Request example

GET /openapi/v1.0/organization/search?access_token=Q7p2OrTnB3hZkdn4i19gG8T2yHEnq2kZ&is_all=1 HTTP/1.1  
Host: 192.168.5.150:8088

Response example

HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"organization_list": [
{
"id": 1,
"name": "Cloud One",
"parent_id": 0,
"order": 1,
"ext_number": 21,
"children": [
{
"id": 2,
"name": "Tech support",
"parent_id": 1,
"order": 1,
"ext_number": 6,
"children": [
{
"id": 4,
"name": "666",
"parent_id": 2,
"order": 1,
"ext_number": 2,
"ext_list": [
66,
62
]
},
{
"id": 10,
"name": "tst",
"parent_id": 2,
"order": 2,
"ext_number": 1,
"ext_list": [
39
]
}
],
"ext_list": [
77,
75,
76,
39,
66,
62
]
},
{
"id": 3,
"name": "Sales",
"parent_id": 1,
"order": 2,
"ext_number": 1,
"ext_list": [
76
]
},
{
"id": 6,
"name": "123",
"parent_id": 1,
"order": 3
},
{
"id": 7,
"name": "1pp3",
"parent_id": 1,
"order": 4
},
{
"id": 8,
"name": "1p99",
"parent_id": 1,
"order": 5
}
],
"ext_list": [
38,
41,
57,
59,
60,
61,
58,
63,
64,
65,
77,
75,
76,
39,
66,
62,
89,
90,
91,
92,
93
]
}
]
}
Useful Links
  • Home
  • About us
  • Products
  • Services
  • Shipping
  • Return Policy
  • Warranty
  • Contact us
Legal
  • Terms
  • Privacy
  • Shared Responsibility
    Service Level Agreement
  • Certifications
About us

Cloud One Limited is a leading Kenyan local telephony service provider. Established in 2017, we offer reliable and secure cloud and on premise business communication solutions, including SIP trunks, Yealink IP phones, and VPS hosting in our Tier 3 data center.


Our mission is to revolutionize cloud communications by providing unparalleled reliability, cutting-edge innovation, and substantial cost savings. We deliver a stress-free, always-available service experience that empowers businesses to thrive in the digital age.

DUNS Registration Number: 561230946
Company Registration Number: PVT-5JUEYMA
Licensed & Regulated by the Communications Authority of Kenya


Follow us
Connect with us
  • Contact us
  • hello@cloudone.co
  • +254 20 7900000
  • Saachi Plaza, UNIT A3 - Argwings Kodhek Rd
Download Simu Connect

    Get the app on the playstore

    Download desktop app for Windows​

    Download app from the appstore

    Download MacOS app